Bug 1903959 - python-barbicanclient fails to build with Python 3.10: Uses the ?.? Python version glob in the spec file
Summary: python-barbicanclient fails to build with Python 3.10: Uses the ?.? Python ve...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-barbicanclient
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chandan Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-12-03 08:56 UTC by Tomáš Hrnčiar
Modified: 2021-02-10 19:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-10 18:28:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-12-03 08:56:44 UTC
python-barbicanclient fails to build with Python 3.10.0a2.

RPM build errors:
    File not found: /builddir/build/BUILDROOT/python-barbicanclient-5.0.1-2.fc34.x86_64/usr/lib/python3.10/site-packages/python_barbicanclient-5.0.1-py?.?.egg-info

This was fixed:

https://src.fedoraproject.org/rpms/python-barbicanclient/c/34462f7e0ab10816afe935fd21b52d8fbbc0cb52?branch=master

And later reverted:

https://src.fedoraproject.org/rpms/python-barbicanclient/c/ab1e0c2337cce75311579f078bdf1bcedbbde12a?branch=master

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01809406-python-barbicanclient/

For all our attempts to build python-barbicanclient with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-barbicanclient/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Ben Cotton 2021-02-09 15:31:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 2 jcapitao 2021-02-10 18:28:59 UTC
This has been resolved by the releng team with a mass spec change.
The commit is https://src.fedoraproject.org/rpms/python-barbicanclient/c/34462f7e0ab10816afe935fd21b52d8fbbc0cb52?branch=rawhide

Comment 3 Miro Hrončok 2021-02-10 19:16:40 UTC
I've made that commit with Tomáš, not releng. But it was reverted.


Note You need to log in before you can comment on or make changes to this bug.